%%%%%  Universidade Federal do Vale do São Francisco
%%%%%  Programa de Elaboração de Materiais Didáticos - PEMD
%%%%%  Classe de documento Latex para Trabalhos de Conclusão de Cursos e Dissertações, desenvolvida em agosto de 2017. Atualizada em 12 de agosto de 2017
%%%%%  Autores: Prof. Carlos Antônio Freitas da Silva e Prof. Sergio Floquet Sales
%%%%%  Email: carlos.freitas@univasf.edu.br // sergio.floquet@univasf.edu.br
%%%%%
%%%%%  Classe elaborada de acordo com o Manual de Normatização da UNIVASF - 2016.
%%%%   Revisão: Bibliotecários(as) Aidil Conceiçao, Ana Cleide Pinheiro, Fábio Lima, Fábio Santiago, Luciana Oliveira, Lucidio Alencar, Luiz Oliveira, Marcio Queiroz, Renato Alves.
%%%%%  Dúvidas e Sugestões podem ser encaminhadas aos e-mails dos autores.

\ProvidesClass{univasf}   % Nome da Classe
\LoadClass[a4paper,12pt]{report}  % Tipo de documento
%=======================         Definindo as Funções que Serão Digitadas Pelo Autor


%=======================         Pacotes Requisitados

\RequirePackage[utf8]{inputenc}
\RequirePackage[portuguese]{babel}
\RequirePackage[T1]{fontenc}
\RequirePackage{amsfonts}
\RequirePackage{amssymb}
\RequirePackage{graphicx}
\RequirePackage[left=3cm,right=2cm,top=3cm,bottom=2cm]{geometry}
\RequirePackage{setspace}
\setstretch{1.5}
\RequirePackage{indentfirst}
\RequirePackage{float}  %Objetos flutuantes
\RequirePackage{color}
\RequirePackage{hyperref}
\RequirePackage{amsmath}
\RequirePackage{mfirstuc}
\RequirePackage{multirow}  %Tabelas
\RequirePackage[titles]{tocloft}
\RequirePackage{titlesec}         
\RequirePackage{helvet}                                              
\RequirePackage{ifthen}
\RequirePackage{cite}
\RequirePackage{makecell}   %Tabelas
\RequirePackage{tikz}	    %Figuras
\RequirePackage{pgf}
\usetikzlibrary{arrows,shapes,shadows}
\RequirePackage{multicol}
\RequirePackage[%font=footnotesize,
                        labelfont=bf,
                        labelsep=endash,
                        justification=centering,
                        labelformat=simple]{caption}
\RequirePackage{pdfpages}  % Possibilita incluir pdf no texto.
\RequirePackage{enumitem}
\RequirePackage{pifont}

\RequirePackage{colortbl}   %  Tabelas
\RequirePackage{longtable}  %  Tabelas
\RequirePackage{booktabs}   %  Tabelas


\def\mesmoautor{\underline{\hspace{1.3cm}}. }

\def\barra{$\backslash$}
%=======================     Configurando Hiperlinks    

 \hypersetup{       
 colorlinks=true,
 linkcolor=blue, 
 citecolor=blue, 
 urlcolor=blue,  
 filecolor=blue, 
}

\RequirePackage{layout}


\RequirePackage{ifthen}



\def\titulo#1{\def\Titulo{#1}}                             \titulo{}        
\def\subtitulo#1{\def\Subtitulo{#1}}                      \subtitulo{}    
\def\autor#1{\def\Autor{#1}}                                 \autor{} 

%\def\autorR#1{\def\AutorR{#1}}                
%\def\colegiadoautor#1{\def\Colegiadoautor{#1}}
%\def\area#1{\def\Area{#1}}            

\def\orientador#1                                       %%% Comando para Orientador
{
\ifthenelse{\equal{#1}{#1}}{\def\orientadorrr{Orientador: }\def\Orientador{#1}}{}
\ifthenelse{\equal{#1}{}}{\def\orientadorrr{}\def\Orientador{#1}}{}
}


 \def\orientadora#1                                     %%% Comando para Orientadora
{
\ifthenelse{\equal{#1}{#1}}{\def\orientadoraaa{Orientadora: }\def\Orientadora{#1}}{}
\ifthenelse{\equal{#1}{}}{\def\orientadoraaa{}\def\Orientadora{#1}}{}
}

\orientador{}
\orientadora{}

\def\orientadorr{\orientadorrr \Orientador}
\def\orientadoraa{\orientadoraaa \Orientadora}

\def\coorientador#1{\def\Coorientador{#1}}                        \coorientador{}
%\def\colegiadoorientador#1{\def\Colegiadoorientador{#1}}   \colegiadoorientador{}
%\def\orientadorR#1{\def\OrientadorR{#1}}       
%\def\colegiadocoorientador#1{\def\Colegiadocoorientador{#1}}   \colegiadocoorientador{}
\def\curso#1{\def\Curso{#1}}                   \curso{}
\def\local#1{\def\Local{#1}} 		       \local{}
\def\dia#1{\def\Dia{#1}}   		    \dia{}
\def\mes#1{\def\Mes{#1}}                    \mes{}
\def\ano#1{\def\Ano{#1}}                      \ano{}   
\def\campus#1{\def\Campus{#1}}  		\campus{}
\def\universidade#1{\def\Universidade{#1}}  \universidade{}
\def\universidadeco#1{\def\Universidadeco{#1}}       \universidadeco{}
\def\membroI#1{\def\AvaliadorI{#1}}  \membroI{}
\def\membroII#1{\def\AvaliadorII{#1}}   \membroII{}
%\def\titulacao#1{\def\Titulacao{#1}} 
%\def\trabalho#1{\def\Trabalho{#1}}  
\def\tcc{Trabalho de Conclus\~ao de Curso apresentado}
\def\dissertacao{Disserta\c c\~ao apresentada}
\def\formato{\normalfont\bfseries} % \def\formato{\normalfont\bfseries}
\def\formatos{\normalfont}
\def\formatit{\normalfont}



\def\auxiliar{\thesection}   % Utilizando para diferenciar seções e capítulos
\def\tipoaux{\section*}      % já que no TCC optamos por seções e na Dissertação por capítulos.
\def\@ftq{section}           % Referência para renumeração de listas, equações teoremas
\def\@tamanho{\fontsize{12pt}{12pt} \selectfont }


%=============================
%=========================        Campus Sede   -   Graduação

\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}

\DeclareOption{cadm}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Administra\c c\~ao}
\curso{Administra\c c\~ao}  
\def\cabecalho{Curso de Gradua\c c\~ao em Administra\c c\~ao}			        
\local{PETROLINA - PE}    
\campus{Petrolina}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

\DeclareOption{cefis}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Educa\c c\~ao F\'isica}
\curso{Educa\c c\~ao F\'isica}  
\def\cabecalho{Curso de Gradua\c c\~ao em Educa\c c\~ao F\'isica}	
\local{PETROLINA - PE}    
\campus{Petrolina}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

\DeclareOption{cenf}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Enfermagem}
\curso{Enfermagem}  
\def\cabecalho{Curso de Gradua\c c\~ao em Enfermagem}		
\local{PETROLINA - PE}    
\campus{Petrolina}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}


\DeclareOption{cfarm}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Farm\' acia}
\curso{Farm\' acia}  
\def\cabecalho{Curso de Gradua\c c\~ao em Farm\' acia}					        
\local{PETROLINA - PE}    
\campus{Petrolina}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

\DeclareOption{cmed}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Medicina}
\curso{Medicina}  
\def\cabecalho{Curso de Gradua\c c\~ao em Medicina }					        
\local{PETROLINA - PE}    
\campus{Petrolina}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

\DeclareOption{cpsi}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Psicologia}
\curso{Psicologia}  
\def\cabecalho{Curso de Gradua\c c\~ao em Psicologia }					        
\local{PETROLINA - PE}    
\campus{Petrolina}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

%========================= Campus Ciências Agrárias    -   Graduação

\DeclareOption{ccbio}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Ci\^encias Biol\'ogicas}
\curso{Ci\^encias Biol\'ogicas}  
\def\cabecalho{Curso de Gradua\c c\~ao em Ci\^encias Biol\'ogicas }    
\local{PETROLINA - PE}    
\campus{Ci\^encias Agr\'rias}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

\DeclareOption{ceagro}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Engenharia Agron\^omica}
\curso{Engenharia Agron\^omica}  
\def\cabecalho{Curso de Gradua\c c\~ao em Engenharia Agron\^omica }    
\local{PETROLINA - PE}    
\campus{Ci\^encias Agr\'rias}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

\DeclareOption{cmvet}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Medicina Veterin\'aria}
\curso{Medicina Veterin\'aria}  
\def\cabecalho{Curso de Gradua\c c\~ao em Medicina Veterin\'aria }    
\local{PETROLINA - PE}    
\campus{Ci\^encias Agr\'rias}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

\DeclareOption{czoo}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Zootecnia}
\curso{Zootecnia}  
\def\cabecalho{Curso de Gradua\c c\~ao em Zootecnia}    
\local{PETROLINA - PE}    
\campus{Ci\^encias Agr\'rias}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

%========================= Campus Juazeiro   -   Graduação

\DeclareOption{cartes}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Artes Visuais}
\curso{Artes Visuais}  
\def\cabecalho{Curso de Gradua\c c\~ao em Artes Visuais}    
\local{Juazeiro - BA}    
\campus{Juazeiro}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

\DeclareOption{ccsociais}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Ci\^encias Sociais}
\curso{Ci\^encias Sociais}  
\def\cabecalho{Curso de Gradua\c c\~ao em Ci\^encias Sociais}    
\local{Juazeiro - BA}    
\campus{Juazeiro}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

\DeclareOption{cenamb}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Engenharia Agr\'icola e Ambiental}
\curso{Engenharia Agr\'icola e Ambiental}  
\def\cabecalho{Curso de Gradua\c c\~ao em Engenharia Agr\'icola e Ambiental}    
\local{Juazeiro - BA}    
\campus{Juazeiro}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

\DeclareOption{ccivil}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Engenharia Civil}
\curso{Engenharia Civil}  
\def\cabecalho{Curso de Gradua\c c\~ao em Engenharia Civil}    
\local{Juazeiro - BA}    
\campus{Juazeiro}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

\DeclareOption{ccomp}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Engenharia da Computa\c c\~ao}
\curso{Engenharia da Computa\c c\~ao}  
\def\cabecalho{Curso de Gradua\c c\~ao em Engenharia da Computa\c c\~ao}    
\local{Juazeiro - BA}    
\campus{Juazeiro}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

\DeclareOption{cprod}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Engenharia de Produ\c c\~ao}
\curso{Engenharia de Produ\c c\~ao}  
\def\cabecalho{Curso de Gradua\c c\~ao em Engenharia de Produ\c c\~ao}    
\local{Juazeiro - BA}    
\campus{Juazeiro}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

\DeclareOption{cenel}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Engenharia El\'etrica}
\curso{Engenharia El\'etrica}  
\def\cabecalho{Curso de Gradua\c c\~ao em Engenharia El\'etrica}    
\local{Juazeiro - BA}    
\campus{Juazeiro}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

\DeclareOption{cenmec}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Engenharia Mec\^anica}
\curso{Engenharia El\'etrica}  
\def\cabecalho{Curso de Gradua\c c\~ao em Engenharia Mec\^anica}    
\local{Juazeiro - BA}    
\campus{Juazeiro}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

%=========================   Campus Serra da Capivara   -   Graduação

\DeclareOption{antropologia}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Antropologia}
\curso{Antropologa}  
\def\cabecalho{Curso de Gradua\c c\~ao em Antropologia}    
\local{S\~ao Raimundo Nonato - PI}    
\campus{Serra da Capivara}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

\DeclareOption{arqueologia}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Arqueologia e Preserva\c c\~ao Ambiental}
\curso{Arqueologia e Preserva\c c\~ao Ambiental}  
\def\cabecalho{Curso de Gradua\c c\~ao em Arqueologia e Preserva\c c\~ao Ambiental}    
\local{S\~ao Raimundo Nonato - PI}    
\campus{Serra da Capivara}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

\DeclareOption{ccinat.srn}{
\def\tipo{\tcc}
\def\modalidade{Licenciatura}
\def\Area{Ci\^encias da Natureza}
\curso{Ci\^encias da Natureza}  
\def\cabecalho{Curso de Gradua\c c\~ao em Ci\^encias da Natureza}    
\local{S\~ao Raimundo Nonato - PI}    
\campus{Serra da Capivara}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

%========================= Campus Senhor do Bonfim    -   Graduação

\DeclareOption{ccinat.bonfim}{
\def\tipo{\tcc}
\def\modalidade{Licenciatura}
\def\Area{Ci\^encias da Natureza}
\curso{Ci\^encias da Natureza}  
\def\cabecalho{Curso de Gradua\c c\~ao em Ci\^encias da Natureza}    
\local{Senhor do Bonfim - BA}    
\campus{Senhor do Bonfim}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

\DeclareOption{cecologia}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Ecologia}
\curso{Ecologia}  
\def\cabecalho{Curso de Gradua\c c\~ao em Ecologia}    
\local{Senhor do Bonfim - BA}    
\campus{Senhor do Bonfim}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

\DeclareOption{cgeografia}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Geografia}
\curso{Geografia}  
\def\cabecalho{Curso de Gradua\c c\~ao em Geografia}    
\local{Senhor do Bonfim - BA}    
\campus{Senhor do Bonfim}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}

%========================= Campus Paulo Afonso    -   Graduação

\DeclareOption{cmed.pauloafonso}{
\def\tipo{\tcc}
\def\modalidade{Bacharel}
\def\Area{Medicina}
\curso{Medicina}  
\def\cabecalho{Curso de Gradua\c c\~ao em Medicina}    
\local{Paulo Afonso - BA}    
\campus{Paulo Afonso}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
}



%========================= EAD    -   Graduação




%============================= Licenciatura    -   Graduação

\DeclareOption{lic}{\def\modalidade{Licenciatura}}





%=====================================
%===============================         Programas de Pós-Graduação da UNIVASF - Stricto Sensu


%=============================== PROMAT

\DeclareOption{profmat}
{
\def\tipo{\dissertacao}
\def\modalidade{Mestre}
\def\Area{Matem\'atica}
\def\cabecalho{Mestrado Profissional em Matem\'atica em Rede Nacional PROFMAT }		
\local{Juazeiro - BA}
\campus{Juazeiro}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
%\def\@ftq{chapter}
%\def\formatos{\normalfont\bfseries}
%\def\formato{\normalfont}
%\def\formatit{\textit}
%\def\auxiliar{\thechapter}
%\def\tipoaux{\chapter*}
%\def\@tamanho{\fontsize{20.74pt}{20.74pt} \selectfont }
}


%=============================== Mestrado Ciencias dos Materiais

\DeclareOption{cpgcm}
{
\def\tipo{\dissertacao}
\def\modalidade{Mestre}
\def\Area{Ciência dos Materiais}
\def\cabecalho{Programa de Pós-graduação em Ciências dos Materiais }		
\local{Juazeiro - BA}
\campus{Juazeiro}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
%\def\@ftq{chapter}
%\def\formatos{\normalfont\bfseries}
%\def\formato{\normalfont}
%\def\formatit{\textit}
%\def\auxiliar{\thechapter}
%\def\tipoaux{\chapter*}
%\def\@tamanho{\fontsize{20.74pt}{20.74pt} \selectfont }
}


%=============================== Mestrado Profisional em Adminstração Pública

\DeclareOption{profiap}
{
\def\tipo{\dissertacao}
\def\modalidade{Mestre}
\def\Area{Administração Pública }
\def\cabecalho{Mestrado Profissional em Administração Pública em Rede Nacional }		
\local{Juazeiro - BA}
\campus{Juazeiro}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
%\def\@ftq{chapter}
%\def\formatos{\normalfont\bfseries}
%\def\formato{\normalfont}
%\def\formatit{\textit}
%\def\auxiliar{\thechapter}
%\def\tipoaux{\chapter*}
%\def\@tamanho{\fontsize{20.74pt}{20.74pt} \selectfont }
}



%=============================== Mestrado em Recursos Naturais do Semiárido

\DeclareOption{pgrnsa}
{
\def\tipo{\dissertacao}
\def\modalidade{Mestre}
\def\Area{Recursos Naturais do Semiárido }
\def\cabecalho{Programa de Pós-graduação em Recursos Naturais do Semiárido }		
\local{Petrolina - PE}
\campus{Petrolina}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
%\def\@ftq{chapter}
%\def\formatos{\normalfont\bfseries}
%\def\formato{\normalfont}
%\def\formatit{\textit}
%\def\auxiliar{\thechapter}
%\def\tipoaux{\chapter*}
%\def\@tamanho{\fontsize{20.74pt}{20.74pt} \selectfont }
}



%=============================== Mestrado em Dinâmicas de Desenvolvimento do Semiárido

\DeclareOption{ppgdides}
{
\def\tipo{\dissertacao}
\def\modalidade{Mestre}
\def\Area{Desenvolvimento e Sociedade }
\def\cabecalho{Programa de Pós-graduação em Dinâmicas de Desenvolvimento do Semiárido }		
\local{Petrolina - PE}
\campus{Petrolina}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
%\def\@ftq{chapter}
%\def\formatos{\normalfont\bfseries}
%\def\formato{\normalfont}
%\def\formatit{\textit}
%\def\auxiliar{\thechapter}
%\def\tipoaux{\chapter*}
%\def\@tamanho{\fontsize{20.74pt}{20.74pt} \selectfont }
}


%=============================== Mestrado Agronomia - Produção Vegetal

\DeclareOption{producaovegetal}
{
\def\tipo{\dissertacao}
\def\modalidade{Mestre}
\def\Area{Produção Vegetal}
\def\cabecalho{Pós-graduação em Agronomia - Produção Vegetal}		
\local{Petrolina - PE}
\campus{Ciências Agrárias}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
%\def\@ftq{chapter}
%\def\formatos{\normalfont\bfseries}
%\def\formato{\normalfont}
%\def\formatit{\textit}
%\def\auxiliar{\thechapter}
%\def\tipoaux{\chapter*}
%\def\@tamanho{\fontsize{20.74pt}{20.74pt} \selectfont }
}


%=============================== Mestrado em Ciência Animal

\DeclareOption{cpgca}
{
\def\tipo{\dissertacao}
\def\modalidade{Mestre}
\def\Area{Ciência Animal}
\def\cabecalho{Programa de Pós-graduação em Ciência Animal }		
\local{Petrolina - PE}
\campus{Ciência Animal}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
%\def\@ftq{chapter}
%\def\formatos{\normalfont\bfseries}
%\def\formato{\normalfont}
%\def\formatit{\textit}
%\def\auxiliar{\thechapter}
%\def\tipoaux{\chapter*}
%\def\@tamanho{\fontsize{20.74pt}{20.74pt} \selectfont }
}

%=============================== Mestrado em Ciência da Saúde e Biológica

\DeclareOption{cpgcsb}
{
\def\tipo{\dissertacao}
\def\modalidade{Mestre}
\def\Area{Ciência da Saúde e Biológica }
\def\cabecalho{Programa de Pós-graduação em Ciência da Saúde e Biológica }		
\local{Petrolina - PE}
\campus{Petrolina}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
%\def\@ftq{chapter}
%\def\formatos{\normalfont\bfseries}
%\def\formato{\normalfont}
%\def\formatit{\textit}
%\def\auxiliar{\thechapter}
%\def\tipoaux{\chapter*}
%\def\@tamanho{\fontsize{20.74pt}{20.74pt} \selectfont }
}

%=============================== Mestrado em Ciências Veterinárias no Semiárido

\DeclareOption{cienciasveterinarias}
{
\def\tipo{\dissertacao}
\def\modalidade{Mestre}
\def\Area{Ciências Veterinárias }
\def\cabecalho{Programa de Pós-graduação em Ciências Veterinárias no Semiárido }		
\local{Petrolina - PE}
\campus{Ciências Agrárias}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
%\def\@ftq{chapter}
%\def\formatos{\normalfont\bfseries}
%\def\formato{\normalfont}
%\def\formatit{\textit}
%\def\auxiliar{\thechapter}
%\def\tipoaux{\chapter*}
%\def\@tamanho{\fontsize{20.74pt}{20.74pt} \selectfont }
}

%=============================== Mestrado em Educação Física

\DeclareOption{ppgef}
{
\def\tipo{\dissertacao}
\def\modalidade{Mestre}
\def\Area{Educação Física, Saúde e Sociedade }
\def\cabecalho{Programa de Pós-graduação em Educação Física }		
\local{Petrolina - PE}
\campus{Petrolina}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
%\def\@ftq{chapter}
%\def\formatos{\normalfont\bfseries}
%\def\formato{\normalfont}
%\def\formatit{\textit}
%\def\auxiliar{\thechapter}
%\def\tipoaux{\chapter*}
%\def\@tamanho{\fontsize{20.74pt}{20.74pt} \selectfont }
}

%=============================== Mestrado em Engenharia Agrícola

\DeclareOption{cpgea}
{
\def\tipo{\dissertacao}
\def\modalidade{Mestre}
\def\Area{Engenharia Agrícola }
\def\cabecalho{Programa de Pós-graduação em Engenharia Agrícola}		
\local{Juazeiro - BA}
\campus{Juazeiro}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
%\def\@ftq{chapter}
%\def\formatos{\normalfont\bfseries}
%\def\formato{\normalfont}
%\def\formatit{\textit}
%\def\auxiliar{\thechapter}
%\def\tipoaux{\chapter*}
%\def\@tamanho{\fontsize{20.74pt}{20.74pt} \selectfont }
}

%=============================== Mestrado Profisional em Extensão Rural

\DeclareOption{cpgexr}
{
\def\tipo{\dissertacao}
\def\modalidade{Mestre}
\def\Area{Extensão Rural e Desenvolvimento }
\def\cabecalho{Programa de Pós-graduação em Extensão Rural}		
\local{Juazeiro - BA}
\campus{Espaço Plural}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
%\def\@ftq{chapter}
%\def\formatos{\normalfont\bfseries}
%\def\formato{\normalfont}
%\def\formatit{\textit}
%\def\auxiliar{\thechapter}
%\def\tipoaux{\chapter*}
%\def\@tamanho{\fontsize{20.74pt}{20.74pt} \selectfont }
}

%=============================== Mestrado em Ensino de Física

\DeclareOption{cpgef}
{
\def\tipo{\dissertacao}
\def\modalidade{Mestre}
\def\Area{Ensino de Física }
\def\cabecalho{Mestrado Nacional Profissional Em Ensino de Física }		
\local{Juazeiro - BA}
\campus{Juazeiro}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
%\def\@ftq{chapter}
%\def\formatos{\normalfont\bfseries}
%\def\formato{\normalfont}
%\def\formatit{\textit}
%\def\auxiliar{\thechapter}
%\def\tipoaux{\chapter*}
%\def\@tamanho{\fontsize{20.74pt}{20.74pt} \selectfont }
}

%=============================== Mestrado em Profissional em Sociologia

\DeclareOption{cpgsoc}
{
\def\tipo{\dissertacao}
\def\modalidade{Mestre}
\def\Area{Sociologia }
\def\cabecalho{Mestrado Profissional em Sociologia em Rede Nacional}		
\local{Juazeiro - BA}
\campus{Juazeiro}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
%\def\@ftq{chapter}
%\def\formatos{\normalfont\bfseries}
%\def\formato{\normalfont}
%\def\formatit{\textit}
%\def\auxiliar{\thechapter}
%\def\tipoaux{\chapter*}
%\def\@tamanho{\fontsize{20.74pt}{20.74pt} \selectfont }
}


%=============================== Mestrado em Psicologia

\DeclareOption{cpgpsi}
{
\def\tipo{\dissertacao}
\def\modalidade{Mestre}
\def\Area{Psicologia}
\def\cabecalho{Programa de Pós-Graduação em Psicologia}		
\local{Petrolina - PE}
\campus{Petrolina}
\renewcommand{\thesection}{\arabic{section}}                            
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
%\def\@ftq{chapter}
%\def\formatos{\normalfont\bfseries}
%\def\formato{\normalfont}
%\def\formatit{\textit}
%\def\auxiliar{\thechapter}
%\def\tipoaux{\chapter*}
%\def\@tamanho{\fontsize{20.74pt}{20.74pt} \selectfont }
}







%=========================================
%=====================

\def\termodeapresentacao{Trabalho apresentado \`a Universidade Federal do Vale do S\~ao Francisco - UNIVASF, Campus \Campus, como requisito da obten\c c\~ao do t\'{i}tulo de \modalidade \ em \Area .}

\def\termodeaprovacao{\tipo \ como requisito parcial para obten\c c\~ao do t\'{i}tulo de \modalidade \ em \Area, pela Universidade Federal do Vale do S\~ao Francisco. }







%====================Banca Examinadora
\def\bancaexaminadora{
\vspace{\fill}
\begin{center}\rule{13cm}{0.5pt}\\  \Orientador\Orientadora , \Universidade \end{center}
\vspace{\fill}
\begin{center}\rule{13cm}{0.5pt}\\  \AvaliadorI  \end{center}
\vspace{\fill}
\begin{center}\rule{13cm}{0.5pt}\\  \AvaliadorII \end{center}}

\def\@coorientador{}

\DeclareOption{addco}{
\def\bancaexaminadora{
\vspace{\fill}
\begin{center}\rule{13cm}{0.5pt}\\  \Orientador\Orientadora , \Universidade\end{center}
\vspace{\fill}
\begin{center}\rule{13cm}{0.5pt}\\  \Coorientador , \Universidadeco\end{center}
\vspace{\fill}
\begin{center}\rule{13cm}{0.5pt}\\  \AvaliadorI  \end{center}
\vspace{\fill}
\begin{center}\rule{13cm}{0.5pt}\\  \AvaliadorII \end{center}
\newpage}
\def\@coorientador{Coorientador: \Coorientador}
}
\ProcessOptions\relax



%=======================     Formatação do Texto



\setlength{\parindent}{1.0cm}  % Recuo do primeiro paragrafo
\pagestyle{myheadings}         %Numeração das páginas


%=======================         Fonte Arial Oficial - Fonte Times Secundaria

\def\arial{\renewcommand{\familydefault}{\sfdefault}}
\arial


\def\timesnewroman{\usepackage[T1]{fontenc} \usepackage{newtxmath,newtxtext}}


%=======================         Inserir Arquivo PDF

\def\inserirpdf#1{\includepdf[pages=1]{#1}}


%=======================         Organizar a Numeração das Equações e  Definições, Teoremas, Lemas e Corolários, 

\numberwithin{equation}{\@ftq}                            % Numeração das Equações a partir das seções.

\renewcommand{\theequation}{\arabic{\@ftq} - \arabic{equation}}  % Formatação das Equações
\newtheorem{definicao}{Defini\c{c}\~{a}o}[\@ftq]          % Numeração das Definições a partir das seções.
\newtheorem{teorema}[definicao]{Teorema}                    % Numeração dos Teoremas a partir das seções.
\newtheorem{corolario}[definicao]{Corol\'{a}rio}            % Numeração dos Corolários a partir das seções.
\newtheorem{lema}[definicao]{Lema}                          % Numeração dos Lemas a partir das seções.
\newtheorem{proposicao}[definicao]{Proposi\c{c}\~{a}o}      % Numeração das Proposições a partir das seções.
\newtheorem{observacao}[definicao]{Observa\c{c}\~{a}o}      % Numeração das Observações a partir das seções.
\newtheorem{exemplo}[definicao]{Exemplo}                    % Numeração dos Exemplos a partir das seções.     
\newtheorem{propriedade}[definicao]{Propriedade}                    % Numeração das propriedade a partir das seções.   
\newenvironment{demonstracao}{\par \noindent \textit{Demonstração}.}{\hfill $\Box$\newline}  % Definindo ambiente de demonstração.


%=======================         Definindo Formato de Capítulos, Seções e Subseções

\def\@makechapterhead#1{\thispagestyle{myheadings}%
    {\parindent \z@ \raggedright \normalfont
    \ifnum \c@secnumdepth >\m@ne
        \Large\bfseries \@chapapp\space \thechapter
        \par\nobreak
        \vskip 20\p@
    \fi
    \interlinepenalty\@M
    \@tamanho  \bfseries 
    #1\par\nobreak
    \vskip 20\p@
  }}
  
	  \def\@makeschapterhead#1{\thispagestyle{myheadings}%
  
  {\parindent \z@ \raggedright
    \normalfont
    \interlinepenalty\@M
    \@tamanho  \bfseries  #1\par\nobreak
    \vskip 20\p@
  }}



%\titleformat*{\section}{\formato}  % Utilizado antes da mudança dos capítulos 
%\titleformat*{\subsection}{\formatos}

\titleformat*{\section}{\bfseries}
\titleformat*{\subsection}{\normalfont}

%=======================         Criando subsubsub, subsubsubsub e subsubsubsubsub de Seções



\def\subsubsection#1{\medskip\par\noindent\stepcounter{subsubsection}\textbf{\thesubsubsection \hspace{0.1cm}#1} \phantomsection\addcontentsline{toc}{subsection}{\protect\numberline{\textbf{\thesubsubsection}}\textbf{#1}}\par\medskip }

\def\subsubsubsection#1{\medskip\par\noindent\stepcounter{paragraph}\normalfont{\theparagraph} \hspace{0.0cm}\normalfont{#1}\phantomsection\addcontentsline{toc}{subsection}{\protect\numberline{\normalfont\theparagraph}\normalfont#1}\par\medskip}

\def\subsubsubsubsection#1{\medskip\par\noindent\stepcounter{subparagraph}\thesubparagraph \hspace{0.1cm}\textit{#1}\phantomsection\addcontentsline{toc}{subsection}{\protect\numberline{\thesubparagraph}\textit{#1}}\par\medskip}

%=======================         Definindo Sumário e Contagem (e Numeração) das Seções

\def\adicionarsumario#1{ \addcontentsline{toc}{\@ftq}{\hspace{2cm}#1 } }

\AtBeginDocument{\addtocontents{toc}{\protect\thispagestyle{empty}}} 

\def\sumario{\renewcommand\contentsname{\vspace{-2.9cm}\begin{center}\@tamanho \textbf{SUMÁRIO}\end{center}}\tableofcontents\thispagestyle{empty} \newpage} 
\setlength\cftchapindent{0pt}
\setlength\cftsecindent{0pt}
\setlength\cftsubsecindent{0pt}

\setlength\cftchapnumwidth{2cm}
\setlength\cftsecnumwidth{2cm}
\setlength\cftsubsecnumwidth{2cm}


\renewcommand\cftsecfont{\formato}
\renewcommand\cftsubsecfont{\formatos}

\setlength\cftbeforechapskip{0.5cm}  % Separação entre os capítulos no sumário
\setlength\cftbeforesecskip{0.3cm}  % Separação entre as seções no sumário
        
%=======================         Parte Externa -- Capa

\def\capa{\thispagestyle{empty}
\begin{figure}[H]
\centering
\includegraphics[scale=0.3]{univasf.jpg} 
\end{figure}
\begin{center}\textbf{
{\fontsize{14pt}{10pt}\selectfont UNIVERSIDADE FEDERAL DO VALE DO SÃO FRANCISCO\\ \MakeUppercase{\cabecalho}}}
\end{center}

\vspace{3cm}
\begin{center}\textbf{
{\fontsize{14pt}{14pt}\selectfont
\MakeUppercase{\Autor}
}}
\end{center}

\vspace{3cm}
\begin{center}\textbf{
{\fontsize{14pt}{14pt}\selectfont 
\MakeUppercase{\Titulo}} {\fontsize{14pt}{14pt}\selectfont
\Subtitulo}
}
\end{center}

\vspace{\fill}
\begin{center}
\fontsize{14pt}{12pt}\selectfont{
\MakeUppercase{\Local}\\ \Ano
}
\end{center}
\setcounter{page}{1}
\newpage
}


%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%         ELEMENTOS PRÉ-TEXTUAIS
%%%%%%%%%%



%=======================         Folha de Rosto

\def\folhaderosto{\thispagestyle{empty}
\begin{center}
{\fontsize{14pt}{14pt}\selectfont
\textbf{
\MakeUppercase{\Autor}
}}
\end{center}
\vspace{5cm}
\begin{center}
{\fontsize{14pt}{14pt}\selectfont\textbf{
\MakeUppercase{\Titulo}
}}{\fontsize{14pt}{14pt}\selectfont\textbf{
\Subtitulo}}


\end{center}

\vspace{5cm}
\begin{flushright}\setstretch{1.0}
\parbox{8.5cm}{\termodeapresentacao \\

\orientadorr\orientadoraa \\
\@coorientador 
}
\end{flushright}
\vspace{\fill}
\begin{center}
\fontsize{14pt}{12pt}\selectfont{
\MakeUppercase{\Local}\\ \Ano
}
\end{center}
\newpage
}


%=======================         Folha de Aprovação



\def\folhadeaprovacao{
\thispagestyle{empty}
\begin{center}\textbf{{\fontsize{14pt}{12pt}\selectfont UNIVERSIDADE FEDERAL DO VALE DO S\~AO FRANCISCO\\ \MakeUppercase{\cabecalho}}}\end{center}
\vspace{0.3cm}
\begin{center}
FOLHA DE APROVA\c C\~AO
\end{center}
\vspace{0.3cm}
\begin{center}\MakeUppercase{\Autor} \end{center}
\vspace{0.3cm}

\begin{center}\MakeUppercase{\Titulo} \Subtitulo \end{center}
\vspace{1cm}
       \begin{flushright}\setstretch{1}
       \parbox{8cm}{\termodeaprovacao}
       \end{flushright}
\vspace{0.5cm}
\begin{center}Aprovado em:\ \Dia \  de \Mes \  de\ \Ano .\end{center}
\begin{center}\textbf{Banca Examinadora}\end{center}
\bancaexaminadora
\newpage
}



%=======================         Ficha Catalográfica

\RequirePackage{lastpage}

\def\cuther#1{\def\Cuther{#1}}

\def\CDD#1{\def\cdd{#1}}


\def\fichacatalografica{
\thispagestyle{empty}
\textcolor{white}{.}
\vspace{\fill}

\begin{center}
\hspace{-2cm}
\fbox{
\begin{minipage}{15.0cm}\singlespace
\vspace{0.5cm}
\footnotesize{
\begin{tabular}{p{1.5cm}p{13cm}}
    \Cuther &  \AutorR .\\
          &  \Titulo \ \Subtitulo \  / \Autor. \Ano. \\
          &  \pageref{LastPage} f. : il. \\ 
          &\\
          & \Trabalho\ (\Titulacao) -- Universidade Federal do Vale do São Francisco. \Colegiadoautor, \Ano \\
          &  Orientador: \Orientador. \\
          &  \Coorientador \\
          & 1. Palavra Chave. 2. Palavra Chave. 3. Palavra Chave. \\
          & I. \OrientadorR. II. Trindade, Marco Antônio Silva. III. Universidade Federal do Vale 
          do São Francisco. \Colegiadoautor. IV. 
\end{tabular}
}
\vspace{0.5cm}
\begin{flushright}
\begin{minipage}[b]{2.5cm}
{\footnotesize
CDD - \cdd\newline
%\phantom{CDU} :
}
\end{minipage}
\vspace*{0.1cm}
\end{flushright}

\end{minipage}
\hspace{0.5cm}
}

\end{center}
\newpage
}


%%%%%%%%%%% Incluir no texto principal
%\autorR{Nome Reverso}
%\orientadorR{Nome Reverso do Orientador}
%\cuther{S163a}
%\CDD{530.12}




%=======================         Dedicatória

\newenvironment{dedicatoria}{ 
\tipoaux{
\begin{center}
 \vspace{-1.3cm} \textbf{DEDICATÓRIA}           
\end{center}  }   \vspace{\fill} 
\begin{flushright}
}{ \end{flushright}
 \thispagestyle{empty}  
 \newpage  }

 
%=======================         Agradecimentos

\newenvironment{agradecimentos}{ 
\tipoaux{
\begin{center}
\vspace{-1.3cm} \textbf{AGRADECIMENTOS} 
\end{center} }  }{ 
 \thispagestyle{empty}  
 \newpage}
 
 %=======================        Errata

\newenvironment{errata}{ 
\tipoaux{
\begin{center}
\vspace{-1.3cm} \textbf{ERRATA} 
\end{center} }  }{ 
 \thispagestyle{empty}  
 \newpage}


%=======================         Epígrafe

\newenvironment{epigrafe}{  
 \thispagestyle{empty}  
{\color{white} . } \vspace{\fill} \begin{flushright}\begin{minipage}{8cm}   }{ \end{minipage}\end{flushright}  \newpage }


%=======================         Resumo e Palavra Chave

\def\palavraschave#1{ \bigskip \noindent \textbf{Palavras-chave:} #1 \par }

\newenvironment{resumo}{  \setstretch{1.0}
\tipoaux{
\begin{center} 
 \vspace{-1.3cm} \textbf{RESUMO}
\end{center}
  } \noindent \hspace{-0.2cm} }{ \thispagestyle{empty}  
  \newpage}

%=======================         Resumen e Palabras Clave

\def\palabrasclave#1{\bigskip \noindent \textbf{Palabras-clave:} #1 \par }

\newenvironment{resumen}{ \setstretch{1.0} 
\tipoaux{
\begin{center}
 \vspace{-1.3cm} \textbf{RESUMEN}
\end{center}
  } \noindent \hspace{-0.2cm} }{ \thispagestyle{empty}  
  \newpage}


 %=======================         Résumé  Mots-clés

\def\motscles#1{\bigskip \noindent \textbf{Mots-clés:} #1 \par }

\newenvironment{resume}{  \setstretch{1.0}
\tipoaux{
\begin{center}
 \vspace{-1.3cm} \textbf{RÉSUMÉ}
\end{center}
  } \noindent \hspace{-0.2cm} }{ \thispagestyle{empty}  
  \newpage}
  
  



%=======================         Zusammenfassung  Schlüsselwörter

\def\schlusselworter#1{\bigskip \noindent \textbf{Schlüsselwörter:} #1 \par }

\newenvironment{zusammenfassung}{  \setstretch{1.0}
\tipoaux{
\begin{center}
 \vspace{-1.3cm} \textbf{ZUSAMMENFASSUNG}
\end{center}
  } \noindent \hspace{-0.2cm} }{ \thispagestyle{empty}  
  \newpage}


%=======================         Sommario e Parole

\def\parole#1{\bigskip \noindent \textbf{Parole:} #1 \par }

\newenvironment{sommario}{  \setstretch{1.0}
\tipoaux{
\begin{center}
 \vspace{-1.3cm} \textbf{SOMMARIO}
\end{center}
  } \noindent \hspace{-0.2cm} }{ \thispagestyle{empty}  
  \newpage}

     


%=======================         Abstract e Keywords  
  
\def\keywords#1{\bigskip \noindent \textbf{Keywords:} #1 \par }

\newenvironment{resumoingles}{ \setstretch{1.0}
\tipoaux{
\begin{center}
\vspace{-1.3cm} \textbf{ABSTRACT} 
\end{center}  } \noindent \hspace{-0.2cm}  }{ \thispagestyle{empty}  
\newpage}

%======================= Numeração das figuras e tabelas

\renewcommand{\thefigure}{\arabic{figure}}
\renewcommand{\thetable}{\arabic{table}}

%\numberwithin{figure}{\@ftq}
%\numberwithin{table}{\@ftq}

%=======================         Lista de Figuras

\def\listadefiguras{  
\renewcommand\listfigurename{\vspace{-3cm}
\begin{center}
\@tamanho \textbf{LISTA DE FIGURAS} 
\end{center} }
\listoffigures\thispagestyle{empty}  \newpage}

\setlength\cftfigindent{0pt}
\setlength\cftfignumwidth{2cm}


%=======================         Lista de Tabelas

\def\listadetabelas{  
\renewcommand\listtablename{ \vspace{-3cm}
\begin{center}
\@tamanho \textbf{LISTA DE TABELAS}
\end{center}  }
\listoftables
\thispagestyle{empty}  \newpage}

\setlength\cfttabindent{0pt}
\setlength\cfttabnumwidth{2cm}


\def\linhas#1#2{\begin{tabular}{#1}#2\end{tabular} }         %dividir a célula em linhas 
\def\colunas#1#2{\begin{tabular}{#1}#2\end{tabular}}      %dividir celula em colunas 
\def\centralizar#1{\multicolumn{1}{c}{#1}}


%=======================         Lista de Quadros

\newlistof[chapter]{quadros}{ldq}{\vspace{-3cm}\thispagestyle{empty}
\begin{center}
 \@tamanho LISTA DE QUADROS
\end{center}}

\def\quadro#1{
\refstepcounter{quadros}
\par\noindent \textbf{Quadro \thequadros} -- #1
\addcontentsline{ldq}{quadros}{\protect\numberline{\thequadros}#1}\par\medskip}
\def\listadequadros{\listofquadros \newpage}

\setlength\cftquadrosnumwidth{2cm}

%=======================         Lista de Mapas

\newlistof[chapter]{mapas}{ldm}{\vspace{-3cm}\thispagestyle{empty}
\begin{center}
 \@tamanho LISTA DE MAPAS
\end{center}}

\def\mapa#1{
\refstepcounter{mapas}
\par\noindent \textbf{Mapa \themapas} -- #1
\addcontentsline{ldm}{mapas}{\protect\numberline{\themapas}#1}\par\medskip}



\def\listademapas{\listofmapas \newpage}

\setlength\cftmapasnumwidth{2cm}




%=======================         Lista de Graficos

\newlistof[chapter]{graficos}{ldg}{\vspace{-3cm}\thispagestyle{empty}
\begin{center}
 \@tamanho LISTA DE GRÁFICOS
\end{center}}

\def\grafico#1{
\refstepcounter{graficos}
\par\noindent \textbf{Gráfico \thegraficos} -- #1
\addcontentsline{ldg}{graficos}{\protect\numberline{\thegraficos}#1}\par\medskip}



\def\listadegraficos{\listofgraficos \newpage}

\setlength\cftgraficosnumwidth{2cm}



\renewcommand{\thequadros}{\arabic{quadros}}  % Numeração dos Quadros, Mapas e Gráficos
\renewcommand{\themapas}{\arabic{mapas}}
\renewcommand{\thegraficos}{\arabic{graficos}}


%======================= Lengendas e fonte para figuras, tabelas e quadros
\def\figura#1{\caption{#1}}
\def\tabela#1{\caption{#1}}
\def\fonte#1{\setstretch{1.0}\par\smallskip\footnotesize{Fonte: #1}}


%OBS.: Quando o rótulo (\label} é declarado dentro do ambiente flutuante da figura ou da tabela, o comando \ref{...} retornará o respectivo número da figura/tabela, mas após a legenda. Quando declarado fora, ele dará o número da seção. Para ser completamente seguro, o rótulo para qualquer figura ou tabela pode ir dentro do comando \caption{}
%=======================         Lista de Abreviaturas e Siglas

\newenvironment{listadesiglas}{
\tipoaux{
\begin{center}
 \vspace{-1.3cm}\textbf{LISTA DE ABREVIATURAS E SIGLAS}
\end{center} } }{ 
 \thispagestyle{empty}  
\newpage }


%=======================         Lista de Símbolos

\newenvironment{listadesimbolos}{
\tipoaux{
\begin{center}
 \vspace{-1.3cm}\textbf{LISTA DE SÍMBOLOS}
\end{center}  }  }{ \thispagestyle{empty}  
\newpage }



%=======================         Ambiente Para Citação com mais de três linhas

\def\citar#1{% Definindo Citacao com mais de 3 linhas
 {\par\begin{flushright} \setstretch{1.0}\fontsize{10pt}{10pt} \selectfont \parbox{12cm}{  #1} \end{flushright}\par }
}

%\one­half­s­pac­ing
%=======================         Ambiente Equação e Equacaotab

\newenvironment{equacao}{ \begin{equation}  }{ \end{equation}}
\newenvironment{equacaotab}{ \begin{eqnarray}  }{ \end{eqnarray} }


%=======================         Glossário

\newenvironment{glossario}{ 
\newpage
\phantomsection\addcontentsline{toc}{\@ftq}{\textbf{\protect\numberline{}GLOSSÁRIO}} 
\thispagestyle{empty}  
\tipoaux{
\begin{center}
\vspace{-1.3cm} \textbf{GLOSSÁRIO} 
\end{center} }    }{\thispagestyle{myheadings} \newpage}



%=======================         Apendice

\def\apendice#1{
\renewcommand{\auxiliar}{\Alph{\@ftq}}
\stepcounter{\@ftq}
 
\tipoaux{  \begin{center} \vspace{-1.3cm} APÊNDICE \Alph{\@ftq} - #1     \end{center}       }
\phantomsection\addcontentsline{toc}{\@ftq}{\textbf{\protect\numberline{}APÊNDICE \Alph{\@ftq} - #1 }}

\renewcommand{\theequation}{\Alph{\@ftq} - \arabic{equation}}  % Formatação das Equações

\renewcommand{\thetable}{\Alph{\@ftq} - \arabic{table}}  % Formatação das Tabelas

\renewcommand{\thefigure}{\Alph{\@ftq} - \arabic{figure}}  % Formatação das Figuras

\renewcommand{\thequadros}{\Alph{\@ftq} - \arabic{quadros}}  % Formatação das Quadros

\renewcommand{\themapas}{\Alph{\@ftq} - \arabic{mapas}}  % Formatação das Quadros

\thispagestyle{myheadings}}


%=======================         Anexo

\def\Anexo{\setcounter{\@ftq}{0}
\newpage}

\def\anexo#1{
\renewcommand{\auxiliar}{\Alph{\@ftq}}
\stepcounter{\@ftq}
 
\tipoaux{  \begin{center} \vspace{-1.3cm} ANEXO \Alph{\@ftq} - #1     \end{center}       }
\phantomsection\addcontentsline{toc}{\@ftq}{\textbf{\protect\numberline{}ANEXO \Alph{\@ftq} - #1 }}
 
%\renewcommand{\theequation}{\Alph{\@ftq} - \arabic{equation}}  % Formatação das Equações
 
 \thispagestyle{myheadings}}
  
  
%=======================         Referências

\newenvironment{referencias}{ \renewcommand{\bibname}{\begin{center} \vspace{-3cm} \@tamanho REFERÊNCIAS  \end{center}}
\begin{thebibliography}{}}{\end{thebibliography}
\phantomsection\addcontentsline{toc}{\@ftq}{\textbf{\protect\numberline{}REFERÊNCIAS}}\thispagestyle{myheadings} \newpage}


\makeatletter     % Retira os colchetes das referencias
\renewcommand\@cite[2]{%
#1\ifthenelse{\boolean{@tempswa}}
{, \nolinebreak[3] #2}{}
}
\renewcommand\@biblabel[1]{}
\makeatother


\let\OLDthebibliography\thebibliography  % Diminuindo espaço entre as referências
\renewcommand\thebibliography[1]{
  \OLDthebibliography{#1}
  \linespread{1}\selectfont           % Controla o Espaço entre as linhas da mesma referencia
  \setlength{\parskip}{0pt}
  \setlength{\itemsep}{10pt plus 0.3ex}  %   Controla o espaco entre as referencias
}



%=======================     Diminui o Espacçamento entre o número da seção e o seu respectivo título.
\makeatletter
\renewcommand*{\@seccntformat}[1]{\csname the#1\endcsname\hspace{0.1cm}}
\makeatother





\endinput